=== modified file 'plugin/auth_pam/auth_pam.cc'
--- plugin/auth_pam/auth_pam.cc	2011-02-17 00:14:13 +0000
+++ plugin/auth_pam/auth_pam.cc	2011-02-27 01:15:55 +0000
@@ -60,10 +60,9 @@
 {
   auth_pam_userinfo *userinfo = (auth_pam_userinfo*)appdata_ptr;
   struct pam_response *response = 0;
-  int x;
 
   /* parameter sanity checking */
-  if(!resp || !msg || !userinfo)
+  if(not resp || not msg || not userinfo)
     return PAM_CONV_ERR;
 
   /* allocate memory to store response */
@@ -72,7 +71,7 @@
     return PAM_CONV_ERR;
 
   /* copy values */
-  for(x= 0; x < num_msg; x++)
+  for(int x= 0; x < num_msg; x++)
   {
     /* initialize to safe values */
     response[x].resp_retcode= 0;

=== modified file 'plugin/auth_pam/plugin.ini'
--- plugin/auth_pam/plugin.ini	2010-08-17 20:57:43 +0000
+++ plugin/auth_pam/plugin.ini	2011-02-27 01:15:55 +0000
@@ -4,3 +4,5 @@
 build_conditional="$ac_cv_libpam" = "yes"
 ldflags=${LTLIBPAM}
 extra_dist=README
+static=yes
+load_by_default=no

